{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-guides/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Voice Application API V3 - Developer Guide","description":"Sprinklr offers robust, convenient, and simple RESTful Web service APIs to integrate data from Sprinklr to any external system.","keywords":["Sprinklr API","Sprinklr Developer Portal","OAuth 2.0","RESTful API","Social Media API","Customer Experience API","Unified-CXM","Social Listening API"]},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"voice-application-api-v3---developer-guide","__idx":0},"children":["Voice Application API V3 - Developer Guide"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"1-overview","__idx":1},"children":["1. Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Voice APIs enable you to create and update a voice application and fetch After Call Work (ACW) details for a specific case, user, and work type."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Operation"},"children":["Operation"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Method"},"children":["Method"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Endpoint"},"children":["Endpoint"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Create Voice Application"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["POST"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/voice/application"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Update Voice Application"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["PUT"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/voice/application?appId={appId}"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Fetch ACW Details"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["GET"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/voice/acw?caseNumber={caseNumber}&userId={userId}&workType={workType}"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"2-base-url-and-environment","__idx":2},"children":["2. Base URL and environment"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"text","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3\n","lang":"text"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Voice application resource:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"text","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3/voice/application\n","lang":"text"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["ACW resource:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"text","header":{"controls":{"copy":{}}},"source":"https://api3.sprinklr.com/{env}/api/v3/voice/acw\n","lang":"text"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Replace ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{env}"]}," with the environment identifier assigned to your Sprinklr workspace. Keep the base URL as a configuration value so that moving between environments does not require code changes."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"3-authentication-and-common-headers","__idx":3},"children":["3. Authentication and common headers"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Key"},"children":["Key"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Value"},"children":["Value"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Authorization"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Bearer {token}"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Credential used by the API to authenticate a user with the server."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Key"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["api-key"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["API key used to authenticate the application with the server."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Content-Type"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Determines the media type of the request body."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Accept"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["application/json"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Determines the acceptable response type from the server."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"4-api-operations","__idx":4},"children":["4. API operations"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"41-create-a-voice-application","__idx":5},"children":["4.1 Create a voice application"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["POST ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/voice/application"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this API to create a voice application for inbound and outbound voice interactions."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters","__idx":6},"children":["Request parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["provider"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Voice provider associated with the application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["name"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Name of the voice application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["phoneNumber"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Phone number associated with the voice application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["voiceAccountId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the voice account."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["description"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Description of the voice application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["country"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Country associated with the voice application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["dndCheckRequired"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates whether DND checks are required."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["dtmfTimeoutSeconds"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Timeout in seconds for DTMF input collection."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["speechTimeoutSeconds"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Timeout in seconds for speech input collection."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["externalCaseUrlTemplate"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["URL template used for external case creation or lookup."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["ivrProcessId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the associated IVR process."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["supervisorEligibleForAcwOnBargeIn"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates whether supervisors are eligible for after-call work on barge-in."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["callerIds"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["List of caller IDs associated with the application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["callEventWorkflowIvrId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the call-event workflow IVR process."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["outboundWaitMessage"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Message played while outbound calls wait to be connected."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["providerDomain"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Domain associated with the configured voice provider."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request","__idx":7},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X POST \\\n  'https://api3.sprinklr.com/{env}/api/v3/voice/application' \\\n  -H 'Authorization: Bearer {Enter your Access Token}' \\\n  -H 'Key: {Enter your API KEY}' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Accept: application/json' \\\n  -d '{\n    \"provider\": \"SPRINKLR\",\n    \"name\": \"Customer Support Voice Application\",\n    \"phoneNumber\": \"+1234567890\",\n    \"voiceAccountId\": \"{voiceAccountId}\",\n    \"description\": \"Voice application for customer support operations\",\n    \"country\": \"US\",\n    \"dndCheckRequired\": false,\n    \"dtmfTimeoutSeconds\": 5,\n    \"speechTimeoutSeconds\": 5,\n    \"externalCaseUrlTemplate\": \"{externalCaseUrl}\",\n    \"ivrProcessId\": \"{ivrProcessId}\",\n    \"supervisorEligibleForAcwOnBargeIn\": false,\n    \"callerIds\": \"+123,+456,+789\",\n    \"callEventWorkflowIvrId\": \"{callEventWorkflowIvrId}\",\n    \"outboundWaitMessage\": \"Outbound wait message\",\n    \"providerDomain\": \"{providerDomain}\"\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response","__idx":8},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"provider\": \"SPRINKLR\",\n    \"name\": \"Customer Support Voice Application\",\n    \"phoneNumber\": \"+1234567890\",\n    \"voiceAccountId\": \"665d604053e7f3411f9b79e7\",\n    \"description\": \"Voice application for customer support operations\",\n    \"country\": \"US\",\n    \"dndCheckRequired\": [\"false\"],\n    \"dtmfTimeoutSeconds\": 5,\n    \"speechTimeoutSeconds\": 5,\n    \"externalCaseUrlTemplate\": \"{externalCaseUrl}\",\n    \"ivrProcessId\": \"{ivrProcessId}\",\n    \"supervisorEligibleForAcwOnBargeIn\": false,\n    \"callerIds\": [\"+123,+456,+789\"],\n    \"callEventWorkflowIvrId\": \"{callEventWorkflowIvrId}\",\n    \"providerDomain\": \"{providerDomain}\"\n  },\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"42-update-a-voice-application","__idx":9},"children":["4.2 Update a voice application"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["PUT ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/voice/application?appId={appId}"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this API to update an existing voice application."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters","__idx":10},"children":["Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["appId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the voice application to update."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"request-parameters-1","__idx":11},"children":["Request parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["name"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Updated name of the voice application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["phoneNumber"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Updated phone number associated with the application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["voiceAccountId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the associated voice account."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["country"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Optional"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Country associated with the voice application."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-1","__idx":12},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X PUT \\\n  'https://api3.sprinklr.com/{env}/api/v3/voice/application?appId={appId}' \\\n  -H 'Authorization: Bearer {Enter your Access Token}' \\\n  -H 'Key: {Enter your API KEY}' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Accept: application/json' \\\n  -d '{\n    \"name\": \"Updated Customer Support Voice Application\",\n    \"phoneNumber\": \"+1234567890\",\n    \"voiceAccountId\": \"{voiceAccountId}\",\n    \"country\": \"US\"\n  }'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-1","__idx":13},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"HTTP/1.1 204 No Content\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The API does not return a response body following successful execution."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["HTTP Status Code"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates the result of the update operation."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["204 No Content"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The voice application was successfully updated."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Status Code"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"43-fetch-acw-details","__idx":14},"children":["4.3 Fetch ACW details"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["GET ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["/api/v3/voice/acw?caseNumber={caseNumber}&userId={userId}&workType={workType}"]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use this API to fetch After Call Work details for a specific case, user, and work type."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters-1","__idx":15},"children":["Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["caseNumber"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique case number associated with the interaction."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the user for whom ACW details are requested."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["workType"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Required"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Type of work associated with the interaction."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-2","__idx":16},"children":["Example request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","header":{"controls":{"copy":{}}},"source":"curl -X GET \\\n  'https://api3.sprinklr.com/{env}/api/v3/voice/acw?caseNumber={caseNumber}&userId={userId}&workType={workType}' \\\n  -H 'Authorization: Bearer {Enter your Access Token}' \\\n  -H 'Key: {Enter your API KEY}' \\\n  -H 'Content-Type: application/json' \\\n  -H 'Accept: application/json'\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response-2","__idx":17},"children":["Example response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": [\n    {\n      \"id\": \"6a74cef9e64249b035bca4ae_SPR_TASK_66007863\",\n      \"acwId\": \"b6c9ef25-353d-4e98-a1bf-8c73df757a95\",\n      \"status\": \"IN_PROGRESS\",\n      \"timedOut\": true,\n      \"acwTriggeredAt\": 1786040073945,\n      \"type\": \"MANDATORY_TIME_BOUND\",\n      \"timeOutAfter\": 10000,\n      \"userId\": \"66007863\",\n      \"workType\": \"SPR_TASK\",\n      \"workId\": \"6a74cef9e64249b035bca4ae\",\n      \"conversationId\": \"6a74cef9e64249b035bca4ae\",\n      \"resolvedValues\": {}\n    }\n  ],\n  \"errors\": []\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"response-parameters","__idx":18},"children":["Response parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Sub-parameter"},"children":["Sub-parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["data"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains ACW details associated with the request."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["id"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the ACW record."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acwId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the ACW configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["status"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Current status of the ACW record."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["timedOut"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Indicates whether the ACW record timed out."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Boolean"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acwTriggeredAt"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Timestamp indicating when ACW was triggered."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Epoch"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["type"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Type of ACW configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["timeOutAfter"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Duration after which ACW times out."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Integer"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["userId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the assigned user."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["workType"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Type of work associated with the ACW record."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["workId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the work item."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["conversationId"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unique identifier of the conversation."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["String"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["resolvedValues"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains resolved ACW configuration details."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["resolvedValues"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acw"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Map containing ACW configuration details."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acw"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["process"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Process associated with the ACW configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acw"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["inputForm"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Input form associated with the ACW configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acw"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["outputForm"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Output form associated with the ACW configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acw"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["dynamicFields"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Dynamic fields associated with the ACW configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acw"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["flavourDetails"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Additional ACW configuration details."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acw"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["shareConfigs"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Sharing configurations associated with ACW."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<Object>"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["acw"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["grants"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Access grants associated with the ACW configuration."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array<String>"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["errors"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains errors encountered during request processing, if any."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Array"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"5-use-cases","__idx":19},"children":["5. Use cases"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Voice Application APIs can be used to create and maintain voice applications for inbound and outbound voice interactions and retrieve After Call Work (ACW) details associated with an interaction. The following are common use cases."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"51-create-a-voice-application-for-inbound-and-outbound-interactions","__idx":20},"children":["5.1 Create a voice application for inbound and outbound interactions"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Create Voice Application"]}," API to create a voice application and associate it with a voice provider, phone number, and voice account."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This is useful when:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["A new voice application needs to be provisioned for inbound or outbound voice interactions."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["A phone number needs to be associated with a specific voice application."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["A voice application needs to be associated with a specific voice account and provider."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Voice applications need to be created programmatically as part of an automated configuration workflow."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/v3/voice/application"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"52-configure-ivr-and-voice-interaction-settings","__idx":21},"children":["5.2 Configure IVR and voice interaction settings"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Create Voice Application"]}," API to configure additional behavior for a voice application, including IVR processes and voice input settings."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This is useful when:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["A voice application needs to be associated with an IVR process using ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ivrProcessId"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["A call-event workflow needs to be associated with the application using ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["callEventWorkflowIvrId"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["DTMF input collection needs to use a configured timeout."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Speech input collection needs to use a configured timeout."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["An outbound wait message needs to be configured for calls waiting to be connected."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/v3/voice/application"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"53-configure-dnd-and-caller-id-settings","__idx":22},"children":["5.3 Configure DND and caller ID settings"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Create Voice Application"]}," API to configure DND behavior and caller IDs for a voice application."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This is useful when:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["DND checks need to be enabled or disabled for the voice application."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["One or more caller IDs need to be associated with the application."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Voice application configuration needs to include provider-specific information such as the provider domain."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["These settings can be supplied using fields such as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["dndCheckRequired"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["callerIds"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["providerDomain"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/v3/voice/application"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"54-configure-external-case-integration","__idx":23},"children":["5.4 Configure external case integration"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Create Voice Application"]}," API to associate an external case URL template with a voice application."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This is useful when:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Voice interactions need to be linked with an external case management workflow."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["An external case needs to be created or looked up using a configured URL template."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The external case integration can be configured using ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["externalCaseUrlTemplate"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/v3/voice/application"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"55-update-an-existing-voice-application","__idx":24},"children":["5.5 Update an existing voice application"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Update Voice Application"]}," API to modify an existing voice application's configuration."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This is useful when:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The name of an existing voice application needs to be changed."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The phone number associated with the application needs to be updated."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The application needs to be associated with a different voice account."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The country associated with the voice application needs to be updated."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The voice application is identified using its unique ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["appId"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PUT /api/v3/voice/application?appId={appId}"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"56-fetch-after-call-work-details-for-an-interaction","__idx":25},"children":["5.6 Fetch After Call Work details for an interaction"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fetch ACW Details"]}," API to retrieve After Call Work information associated with a specific case, user, and work type."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This is useful when:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["An integration needs to determine the current ACW status for an interaction."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["An application needs to determine whether ACW has timed out."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The time at which ACW was triggered needs to be retrieved."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The ACW type and configured timeout duration need to be determined."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["ACW information needs to be correlated with a user, work item, or conversation."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The request identifies the ACW context using ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["caseNumber"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["userId"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["workType"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/v3/voice/acw?caseNumber={caseNumber}&userId={userId}&workType={workType}"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"57-retrieve-resolved-acw-configuration-details","__idx":26},"children":["5.7 Retrieve resolved ACW configuration details"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fetch ACW Details"]}," API to retrieve resolved configuration information associated with After Call Work."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This is useful when:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["An application needs to retrieve the ACW process configuration associated with an interaction."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Input or output form configuration needs to be obtained."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Dynamic fields associated with ACW need to be processed."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Additional ACW configuration and sharing information needs to be retrieved."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["resolvedValues"]}," response can contain ACW configuration information such as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["process"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["inputForm"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["outputForm"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["dynamicFields"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["flavourDetails"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shareConfigs"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["grants"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["API:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/v3/voice/acw?caseNumber={caseNumber}&userId={userId}&workType={workType}"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"58-automate-the-voice-application-configuration-lifecycle","__idx":27},"children":["5.8 Automate the voice application configuration lifecycle"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Voice Application APIs can be incorporated into configuration and integration workflows to manage voice applications programmatically."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A typical workflow can include:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Create the voice application"]}," using ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["POST /api/v3/voice/application"]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Configure the required voice provider, phone number, voice account, IVR, and other supported settings."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Retain the application's unique ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["appId"]}," for subsequent configuration changes."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Update the voice application"]}," using ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PUT /api/v3/voice/application?appId={appId}"]}," when supported application details change."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fetch ACW details"]}," using ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /api/v3/voice/acw"]}," when an integration needs After Call Work information for a specific case, user, and work type."]}]}]},"headings":[{"value":"Voice Application API V3 - Developer Guide","id":"voice-application-api-v3---developer-guide","depth":1},{"value":"1. Overview","id":"1-overview","depth":2},{"value":"2. Base URL and environment","id":"2-base-url-and-environment","depth":2},{"value":"3. Authentication and common headers","id":"3-authentication-and-common-headers","depth":2},{"value":"4. API operations","id":"4-api-operations","depth":2},{"value":"4.1 Create a voice application","id":"41-create-a-voice-application","depth":3},{"value":"Request parameters","id":"request-parameters","depth":4},{"value":"Example request","id":"example-request","depth":4},{"value":"Example response","id":"example-response","depth":4},{"value":"4.2 Update a voice application","id":"42-update-a-voice-application","depth":3},{"value":"Query parameters","id":"query-parameters","depth":4},{"value":"Request parameters","id":"request-parameters-1","depth":4},{"value":"Example request","id":"example-request-1","depth":4},{"value":"Example response","id":"example-response-1","depth":4},{"value":"4.3 Fetch ACW details","id":"43-fetch-acw-details","depth":3},{"value":"Query parameters","id":"query-parameters-1","depth":4},{"value":"Example request","id":"example-request-2","depth":4},{"value":"Example response","id":"example-response-2","depth":4},{"value":"Response parameters","id":"response-parameters","depth":4},{"value":"5. Use cases","id":"5-use-cases","depth":3},{"value":"5.1 Create a voice application for inbound and outbound interactions","id":"51-create-a-voice-application-for-inbound-and-outbound-interactions","depth":4},{"value":"5.2 Configure IVR and voice interaction settings","id":"52-configure-ivr-and-voice-interaction-settings","depth":4},{"value":"5.3 Configure DND and caller ID settings","id":"53-configure-dnd-and-caller-id-settings","depth":4},{"value":"5.4 Configure external case integration","id":"54-configure-external-case-integration","depth":4},{"value":"5.5 Update an existing voice application","id":"55-update-an-existing-voice-application","depth":4},{"value":"5.6 Fetch After Call Work details for an interaction","id":"56-fetch-after-call-work-details-for-an-interaction","depth":4},{"value":"5.7 Retrieve resolved ACW configuration details","id":"57-retrieve-resolved-acw-configuration-details","depth":4},{"value":"5.8 Automate the voice application configuration lifecycle","id":"58-automate-the-voice-application-configuration-lifecycle","depth":4}],"frontmatter":{"seo":{"title":"Voice Application API V3 - Developer Guide"}},"lastModified":"2026-11-20T07:58:48.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/guides/voice/voice-application-v3","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}